Error updating via webui

freepbx
Tags: #<Tag:0x00007f24bf0c8970>

(Matthew Mellen) #1

I have tried to update via webui and I get the following error message:

**Error: Package: glibc-common-2.17-260.el7_6.6.x86_64 (@sng-updates)**
**           Requires: glibc = 2.17-260.el7_6.6**
**           Removing: glibc-2.17-260.el7_6.6.i686 (@sng-updates)**
**               glibc = 2.17-260.el7_6.6**
**           Updated By: glibc-2.17-307.el7.1.i686 (sng-base)**
**               glibc = 2.17-307.el7.1**
** You could try using --skip-broken to work around the problem**
**** Found 53 pre-existing rpmdb problem(s), 'yum check' output follows:**
**alsa-lib-1.1.8-1.el7.x86_64 is a duplicate with alsa-lib-1.1.6-2.el7.i686**
**apr-1.4.8-5.el7.x86_64 is a duplicate with apr-1.4.8-3.el7_4.1.i686**
**audit-libs-2.8.5-4.el7.x86_64 is a duplicate with audit-libs-2.8.4-4.el7.x86_64**
**32:bind-libs-9.11.4-16.P2.el7_8.6.x86_64 is a duplicate with 32:bind-libs-9.9.4-74.el7_6.1.x86_64**
**32:bind-libs-lite-9.11.4-16.P2.el7_8.6.x86_64 is a duplicate with 32:bind-libs-lite-9.9.4-74.el7_6.1.x86_64**
**32:bind-license-9.11.4-16.P2.el7_8.6.noarch is a duplicate with 32:bind-license-9.9.4-74.el7_6.1.noarch**
**boost-system-1.53.0-28.el7.x86_64 is a duplicate with boost-system-1.53.0-27.el7.x86_64**
**cpp-4.8.5-39.el7.x86_64 is a duplicate with cpp-4.8.5-36.el7_6.2.x86_64**
**cryptsetup-libs-2.0.3-6.el7.x86_64 is a duplicate with cryptsetup-libs-2.0.3-3.el7.x86_64**
**7:device-mapper-1.02.164-7.el7_8.2.x86_64 is a duplicate with 7:device-mapper-1.02.149-10.el7_6.8.x86_64**
**7:device-mapper-event-1.02.164-7.el7_8.2.x86_64 is a duplicate with 7:device-mapper-event-1.02.149-10.el7_6.8.x86_64**
**7:device-mapper-event-libs-1.02.164-7.el7_8.2.x86_64 is a duplicate with 7:device-mapper-event-libs-1.02.149-10.el7_6.8.x86_64**
**7:device-mapper-libs-1.02.164-7.el7_8.2.x86_64 is a duplicate with 7:device-mapper-libs-1.02.149-10.el7_6.8.x86_64**
**12:dhcp-common-4.2.5-79.el7.centos.x86_64 is a duplicate with 12:dhcp-common-4.2.5-68.el7.centos.1.x86_64**
**12:dhcp-libs-4.2.5-79.el7.centos.x86_64 is a duplicate with 12:dhcp-libs-4.2.5-68.el7.centos.1.x86_64**
**e2fsprogs-libs-1.42.9-17.el7.x86_64 is a duplicate with e2fsprogs-libs-1.42.9-13.el7.x86_64**
**elfutils-libelf-0.176-4.el7.x86_64 is a duplicate with elfutils-libelf-0.172-2.el7.i686**
**elfutils-libs-0.176-4.el7.x86_64 is a duplicate with elfutils-libs-0.172-2.el7.i686**
**expat-2.1.0-11.el7.x86_64 is a duplicate with expat-2.1.0-10.el7_3.i686**
**glibc-2.17-307.el7.1.x86_64 is a duplicate with glibc-2.17-260.el7_6.6.i686**
**glibc-common-2.17-307.el7.1.x86_64 is a duplicate with glibc-common-2.17-260.el7_6.6.x86_64**
**1:grub2-common-2.02-0.81.el7.centos.noarch is a duplicate with 1:grub2-common-2.02-0.76.el7.centos.1.noarch**
**1:grub2-tools-2.02-0.81.el7.centos.x86_64 is a duplicate with 1:grub2-tools-2.02-0.76.el7.centos.1.x86_64**
**1:grub2-tools-minimal-2.02-0.81.el7.centos.x86_64 is a duplicate with 1:grub2-tools-minimal-2.02-0.76.el7.centos.1.x86_64**
**krb5-libs-1.15.1-46.el7.x86_64 is a duplicate with krb5-libs-1.15.1-37.el7_6.i686**
**libcap-2.22-11.el7.x86_64 is a duplicate with libcap-2.22-9.el7.i686**
**libcom_err-1.42.9-17.el7.x86_64 is a duplicate with libcom_err-1.42.9-13.el7.x86_64**
**libdb-5.3.21-25.el7.x86_64 is a duplicate with libdb-5.3.21-24.el7.i686**
**libgomp-4.8.5-39.el7.x86_64 is a duplicate with libgomp-4.8.5-36.el7_6.2.x86_64**
**libicu-50.2-4.el7_7.x86_64 is a duplicate with libicu-50.1.2-17.el7.x86_64**
**libselinux-2.5-15.el7.x86_64 is a duplicate with libselinux-2.5-14.1.el7.i686**
**libss-1.42.9-17.el7.x86_64 is a duplicate with libss-1.42.9-13.el7.x86_64**
**libstdc++-4.8.5-39.el7.x86_64 is a duplicate with libstdc++-4.8.5-36.el7_6.2.x86_64**
**libstdc++-devel-4.8.5-39.el7.x86_64 is a duplicate with libstdc++-devel-4.8.5-36.el7_6.2.x86_64**
**libuuid-2.23.2-63.el7.x86_64 is a duplicate with libuuid-2.23.2-59.el7_6.1.i686**
**libxml2-2.9.1-6.el7.4.x86_64 is a duplicate with libxml2-2.9.1-6.el7_2.3.i686**
**7:lvm2-libs-2.02.186-7.el7_8.2.x86_64 is a duplicate with 7:lvm2-libs-2.02.180-10.el7_6.8.x86_64**
**lz4-1.7.5-3.el7.x86_64 is a duplicate with lz4-1.7.5-2.el7.i686**
**1:mariadb-5.5.65-1.el7.x86_64 is a duplicate with 1:mariadb-5.5.60-1.el7_5.x86_64**
**1:mariadb-libs-5.5.65-1.el7.x86_64 is a duplicate with 1:mariadb-libs-5.5.60-1.el7_5.x86_64**
**mesa-libgbm-18.3.4-7.el7_8.1.x86_64 is a duplicate with mesa-libgbm-18.0.5-4.el7_6.x86_64**
**mesa-libglapi-18.3.4-7.el7_8.1.x86_64 is a duplicate with mesa-libglapi-18.0.5-4.el7_6.x86_64**
**nss-softokn-freebl-3.44.0-8.el7_7.x86_64 is a duplicate with nss-softokn-freebl-3.36.0-5.el7_5.i686**
**1:openssl-libs-1.0.2k-19.el7.x86_64 is a duplicate with 1:openssl-libs-1.0.2k-16.el7_6.1.i686**
**pam-1.1.8-23.el7.x86_64 is a duplicate with pam-1.1.8-22.el7.i686**
**selinux-policy-3.13.1-266.el7.noarch is a duplicate with selinux-policy-3.13.1-229.el7_6.12.noarch**
**systemd-libs-219-73.el7_8.6.x86_64 is a duplicate with systemd-libs-219-62.el7_6.7.i686**
**urw-base35-bookman-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**
**urw-base35-gothic-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**
**urw-base35-nimbus-mono-ps-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**
**urw-base35-nimbus-roman-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**
**urw-base35-nimbus-sans-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**
**urw-base35-standard-symbols-ps-fonts-20170801-10.el7.noarch has installed conflicts urw-fonts < ('3', '2.4', '25'): urw-fonts-2.4-16.el7.noarch**

I read somewhere that this is due to 32bit applications existing alongside 64bit. I’ve attempted to remove 32 bit applications, but have not had any luck. Any help on this is appreciated! Thanks in advance


(Matthew Mellen) #2

Thanks for fixing my formatting :smiley:


(Matthew Mellen) #3

Any suggestions?


(Dave Burgess) #4

Double check your repositories. It looks like you’ve got some duel code sources in there that are spoiling your yum goodness.


(Matthew Mellen) #5

Thanks for the suggestion!

This was a base installation from a sangoma official iso.
yum repolist shows:

    Loaded plugins: fastestmirror, versionlock
    Loading mirror speeds from cached hostfile
    repo id                                                                                                  repo name                                                                                                                     status
    Webmin                                                                                                   Webmin Distribution Neutral                                                                                                      186
    sng-base/7/x86_64                                                                                        Sangoma-7 - Base                                                                                                              10,070
    sng-epel/7/x86_64                                                                                        Sangoma-7 - Sangoma Epel mirror                                                                                               15,649
    sng-extras/7/x86_64                                                                                      Sangoma-7 - Extras                                                                                                               413
    sng-pkgs/7/x86_64                                                                                        Sangoma-7 - Sangoma Open Source Packages                                                                                       1,780
    sng-updates/7/x86_64                                                                                     Sangoma-7 - Updates                                                                                                            1,127
    repolist: 29,225

This WAS an install from when they were packaging centOS, and not their sng7 distro. Maybe there’s some hiccups from that? The old repositories are listed, but not enabled.


(system) closed #6

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.